package ratings

import (
	"net/http"

	"github.com/sirupsen/logrus"

	"git.quimbo.fr/odwrtw/canape/backend/web"
)

// RefreshHandler refresh the imdb ratings
func RefreshHandler(env *web.Env, w http.ResponseWriter, r *http.Request) error {
	log := env.Log.WithFields(logrus.Fields{
		"function": "ratings.RefreshHandler",
	})
	log.Debugf("refreshing imdb ratings")
	err := Refresh(env)
	if err != nil {
		return env.RenderError(w, err)
	}

	log.Debugf("done refreshing imdb ratings")
	return env.RenderOK(w, "Ratings Refreshed")
}
