import { configureAxios, request } from "../requests";

export const searchMovieSubtitles = (imdbId) => {
  return request(
    "MOVIE_SUBTITLES_UPDATE",
    configureAxios().post(`/movies/${imdbId}/subtitles/refresh`),
    null,
    { imdbId: imdbId }
  );
};

export const searchEpisodeSubtitles = (imdbId, season, episode) => {
  const url = `/shows/${imdbId}/seasons/${season}/episodes/${episode}`;
  return request(
    "EPISODE_SUBTITLES_UPDATE",
    configureAxios().post(`${url}/subtitles/refresh`),
    null,
    {
      imdbId: imdbId,
      season: season,
      episode: episode,
    }
  );
};
