import React from "react";
import PropTypes from "prop-types";
import { List } from "immutable";
import { useDispatch } from "react-redux";

import { searchEpisodeSubtitles } from "../../../actions/subtitles";

import { SubtitlesButton } from "../../buttons/subtitles";

export const EpisodeSubtitlesButton = ({
  inLibrary,
  imdbId,
  season,
  episode,
  searching,
  subtitles,
}) => {
  const dispatch = useDispatch();

  return (
    <SubtitlesButton
      subtitles={subtitles}
      inLibrary={inLibrary}
      searching={searching}
      search={() => dispatch(searchEpisodeSubtitles(imdbId, season, episode))}
    />
  );
};

EpisodeSubtitlesButton.propTypes = {
  inLibrary: PropTypes.bool,
  searching: PropTypes.bool,
  imdbId: PropTypes.string,
  season: PropTypes.number,
  episode: PropTypes.number,
  subtitles: PropTypes.instanceOf(List),
};
