import React from "react";
import { useDispatch, useSelector } from "react-redux";
import { Redirect } from "react-router-dom";

import { userLogout } from "../../actions/users";

const UserLogout = () => {
  const dispatch = useDispatch();
  const isLogged = useSelector((state) => state.userStore.get("isLogged"));

  if (isLogged) {
    dispatch(userLogout());
  }

  return <Redirect to="/users/login" />;
};

export default UserLogout;
